Foxit PDF SDK

Instance Methods | Properties | List of all members
FSEmbeddedGotoTarget Class Reference
Inheritance diagram for FSEmbeddedGotoTarget:

## Instance Methods
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(id) | - initWithAction:
| Constructor, with another embedded goto target object. More...
(id) | - initWithDocument:
| Constructor, with PDF document. More...
(id) | - initWithDocument:target_object:
| Constructor, with PDF dictionary. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Properties
NSString * | attachedFileName
| Get or Set the embedded file name, which is used in "EmbeddedFile" name tree of current target file. More...
int | fileAttachmentAnnotIndex
| Get or Set the annotation index which specifies a file attachment annotation in a specified page. More...
int | pageIndex
| Get or Set the page index which specifies the page that contains the target file attachment annotation. More...
NSString * | relationship
| Get or Set relationship between current target object and the object that current target object belongs to. More...
FSEmbeddedGotoTarget * | target
| Get or Set the target which specifies additional path information to the target document.

## Detailed Description

The target of an embedded go-to action is the document in which the destination lives.

See also
  FSEmbeddedGotoAction

## Method Documentation

## ◆ getDict()

- (FSPDFDictionary *) getDict |  |  |

Get PDF dictionary of current object.

Returns
  The PDF dictionary.If there is any error, this function will return nil.

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSEmbeddedGotoTarget*) | action |

Constructor, with another embedded goto target object.

Parameters

  [in] | action | Another embedded goto target object.

## ◆ initWithDocument:()

- (id) initWithDocument: |  | (FSPDFDoc*) | document |

Constructor, with PDF document.

This constructor is to construct a new embedded goto target object (without any data).

Parameters

  [in] | document | A valid PDF document object.

## ◆ initWithDocument:target_object:()

- (id) initWithDocument: |  | (FSPDFDoc*) | document
target_object: |  | (FSPDFDictionary*) | target_object

Constructor, with PDF dictionary.

Parameters

  [in] | document | A valid PDF document object.
  [in] | target_object | A PDF dictionary that represents the embedded goto target data.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## Property Documentation

## ◆ attachedFileName

- (NSString *) attachedFileName
| read write nonatomic weak

Get or Set the embedded file name, which is used in "EmbeddedFile" name tree of current target file.

This is useful only when relationship is "C". If this property is a valid string, that means the target file is an embedded file defined in "EmbeddedFiles" name tree.

## ◆ fileAttachmentAnnotIndex

- (int) fileAttachmentAnnotIndex
| read write nonatomic assign

Get or Set the annotation index which specifies a file attachment annotation in a specified page.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the file attachment annotation in the specified page. Function FSEmbeddedGotoTarget::pageIndex can be used to get the page index specifying the page that contains the target file attachment annotation.

## ◆ pageIndex

- (int) pageIndex
| read write nonatomic assign

Get or Set the page index which specifies the page that contains the target file attachment annotation.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation. And this property just specifies the page which contains the file attachment annotation. Function FSEmbeddedGotoTarget::fileAttachmentAnnotIndex can be used to get the annotation index of the target file attachment annotation.

## ◆ relationship

- (NSString *) relationship
| read write nonatomic weak

Get or Set relationship between current target object and the object that current target object belongs to.

The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following:

- "P": current target object is the parent of the object that current target object belongs to.
- "C": current target object is the child of the object that current target object belongs to.